Get Portfolios Balances
curl --request GET \
--url https://api.coinbase.com/api/v3/brokerage/intx/balances/{portfolio_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinbase.com/api/v3/brokerage/intx/balances/{portfolio_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinbase.com/api/v3/brokerage/intx/balances/{portfolio_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"portfolio_balances": [
{
"portfolio_uuid": "<string>",
"balances": [
{
"asset": {
"asset_id": "<string>",
"asset_uuid": "<string>",
"asset_name": "<string>",
"status": "<string>",
"collateral_weight": "<string>",
"account_collateral_limit": "<string>",
"ecosystem_collateral_limit_breached": true,
"asset_icon_url": "<string>",
"supported_networks_enabled": true
},
"quantity": "<string>",
"hold": "<string>",
"transfer_hold": "<string>",
"collateral_value": "<string>",
"collateral_weight": "<string>",
"max_withdraw_amount": "<string>",
"loan": "<string>",
"loan_collateral_requirement_usd": "<string>",
"pledged_quantity": "<string>",
"max_portfolio_transfer_amount": "<string>"
}
],
"is_margin_limit_reached": true
}
]
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}International Derivatives (INTX, deprecated)
Get Portfolios Balances
Get a list of asset balances on Intx for a given Portfolio
GET
/
api
/
v3
/
brokerage
/
intx
/
balances
/
{portfolio_uuid}
Get Portfolios Balances
Deprecated — retires September 9, 2026. This INTX perpetuals endpoint is being replaced by the Deribit-powered derivatives gateway. Migrate before the cutover — see the Migration Overview.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Path Parameters
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I